diff --git a/doc/src/sgml/ref/clusterdb.sgml b/doc/src/sgml/ref/clusterdb.sgml
index b25845ffc6..f3b09635c3 100644
--- a/doc/src/sgml/ref/clusterdb.sgml
+++ b/doc/src/sgml/ref/clusterdb.sgml
@@ -97,6 +97,14 @@ PostgreSQL documentation
         that is not set, the user name specified for the connection is
         used.
        </para>
+       <para>
+       If this parameter contains an <symbol>=</symbol> sign or starts
+       with a valid <acronym>URI</acronym> prefix
+       (<literal>postgresql://</literal>
+       or <literal>postgres://</literal>), it is treated as a
+       <parameter>conninfo</parameter> string. See <xref
+       linkend="libpq-connstring"/> for more information.
+      </para>
       </listitem>
      </varlistentry>
 
diff --git a/doc/src/sgml/ref/pg_dump.sgml b/doc/src/sgml/ref/pg_dump.sgml
index 4bcd4bdaef..907f6afc97 100644
--- a/doc/src/sgml/ref/pg_dump.sgml
+++ b/doc/src/sgml/ref/pg_dump.sgml
@@ -113,6 +113,13 @@ PostgreSQL documentation
         <envar>PGDATABASE</envar> is used.  If that is not set, the
         user name specified for the connection is used.
        </para>
+       <para>
+        If this parameter contains an <symbol>=</symbol> sign or starts
+        with a valid <acronym>URI</acronym> prefix
+        (<literal>postgresql://</literal>
+        or <literal>postgres://</literal>), it is treated as a
+        <parameter>conninfo</parameter> string. See <xref linkend="libpq-connect"/> for more information.
+       </para>
       </listitem>
      </varlistentry>
 
diff --git a/doc/src/sgml/ref/pg_restore.sgml b/doc/src/sgml/ref/pg_restore.sgml
index c6013546a0..bc13914f06 100644
--- a/doc/src/sgml/ref/pg_restore.sgml
+++ b/doc/src/sgml/ref/pg_restore.sgml
@@ -155,6 +155,13 @@
         class="parameter">dbname</replaceable> and restore directly
         into the database.
        </para>
+       <para>
+        If this parameter contains an <symbol>=</symbol> sign or starts
+        with a valid <acronym>URI</acronym> prefix
+        (<literal>postgresql://</literal>
+        or <literal>postgres://</literal>), it is treated as a
+        <parameter>conninfo</parameter> string. See <xref linkend="libpq-connect"/> for more information.
+       </para>
       </listitem>
      </varlistentry>
 
diff --git a/doc/src/sgml/ref/pgbench.sgml b/doc/src/sgml/ref/pgbench.sgml
index 4c48a58ed2..1d461a801e 100644
--- a/doc/src/sgml/ref/pgbench.sgml
+++ b/doc/src/sgml/ref/pgbench.sgml
@@ -85,6 +85,12 @@ pgbench -i <optional> <replaceable>other-options</replaceable> </optional> <repl
    database to test in.  (You may also need <option>-h</option>,
    <option>-p</option>, and/or <option>-U</option> options to specify how to
    connect to the database server.)
+   If this parameter contains an <symbol>=</symbol> sign or starts
+   with a valid <acronym>URI</acronym> prefix
+   (<literal>postgresql://</literal>
+   or <literal>postgres://</literal>), it is treated as a
+   <parameter>conninfo</parameter> string. See <xref
+   linkend="libpq-connstring"/> for more information.
   </para>
 
   <caution>
diff --git a/doc/src/sgml/ref/reindexdb.sgml b/doc/src/sgml/ref/reindexdb.sgml
index 5e21fbcc4e..3b4007a7bc 100644
--- a/doc/src/sgml/ref/reindexdb.sgml
+++ b/doc/src/sgml/ref/reindexdb.sgml
@@ -140,6 +140,14 @@ PostgreSQL documentation
         that is not set, the user name specified for the connection is
         used.
        </para>
+       <para>
+        If this parameter contains an <symbol>=</symbol> sign or starts
+        with a valid <acronym>URI</acronym> prefix
+        (<literal>postgresql://</literal>
+        or <literal>postgres://</literal>), it is treated as a
+        <parameter>conninfo</parameter> string. See <xref
+        linkend="libpq-connstring"/> for more information.
+       </para>
       </listitem>
      </varlistentry>
 
diff --git a/doc/src/sgml/ref/vacuumdb.sgml b/doc/src/sgml/ref/vacuumdb.sgml
index 47d93456f8..ff09732b62 100644
--- a/doc/src/sgml/ref/vacuumdb.sgml
+++ b/doc/src/sgml/ref/vacuumdb.sgml
@@ -99,6 +99,14 @@ PostgreSQL documentation
         that is not set, the user name specified for the connection is
         used.
        </para>
+       <para>
+        If this parameter contains an <symbol>=</symbol> sign or starts
+        with a valid <acronym>URI</acronym> prefix
+        (<literal>postgresql://</literal>
+        or <literal>postgres://</literal>), it is treated as a
+        <parameter>conninfo</parameter> string. See <xref
+        linkend="libpq-connstring"/> for more information.
+       </para>
       </listitem>
      </varlistentry>
 
